# Update a Financial Activity to Account Mapping

`PUT /lokta-lms/api/v1/financialactivityaccounts/{mappingId}`

Updates the ledger account linked to a financial activity.

the API updates the Ledger account linked to a Financial Activity

## Parameters
- `mappingId` (path, integer, required): mappingId

## Request body (application/json)
- `financialActivityId` (integer)
- `glAccountId` (integer)

## Responses
- `200`: OK

## Response fields
- `comments` (PutFinancialActivityAccountscommentsSwagger)
- `resourceId` (integer)

## Example request (cURL)
```bash
curl -X PUT \
  'https://default.lokta.tech/lokta-lms/api/v1/financialactivityaccounts/{mappingId}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default' \
  -H 'Content-Type: application/json' \
  -d '{
  "financialActivityId": 200,
  "glAccountId": 2
}'
```

## Example response
```json
{
  "comments": {
    "glAccountId": 1
  },
  "resourceId": 1
}
```

Interactive: https://developer.lokta.ai/reference#operation/updateGLAccountMappingFinancialActivityAccount
